<?xml version="1.0" encoding="UTF-8"?>
<xs:schema
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  elementFormDefault="qualified"
  attributeFormDefault="unqualified">

   
  <xs:simpleType name="directionType">
     <xs:restriction base="xs:string">
        <xs:enumeration value="initiator"/>
        <xs:enumeration value="receiver"/>
     </xs:restriction>
  </xs:simpleType>


  <xs:element name="state-and-event-info" type="Tstate-and-event-info"/>
 
  <xs:complexType name="Tstate-and-event-info">
    <xs:sequence>
      <xs:element name="state-info" type="xs:string" minOccurs="0" maxOccurs="1"/>
      <xs:element name="direction" type="directionType" minOccurs="0" maxOccurs="1"/>
      <xs:element name="event" type="xs:string" minOccurs="0" maxOccurs="1"/>
      <xs:element name="anyExt" type="anyExtType" minOccurs="0" />
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
	<xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>
 
  <xs:complexType name="anyExtType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="remoteLegInfoRequest" type="anyExtType"/>
  <xs:element name="remoteLegInfoResponse" type="anyExtType"/>

  <xs:complexType name="dialogIdType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="call-id" type="xs:string"/>
    <xs:attribute name="local-tag" type="xs:string" use="optional"/>
    <xs:attribute name="remote-tag" type="xs:string" use="optional"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

<!-- elements which can be included in remoteLegInfoRequest -->
  <xs:element name="localAssertedIdRequest"/>
  <xs:element name="dialogIdRequest"/>

<!-- elements which can be included in remoteLegInfoResponse-->  <xs:element name="localAssertedId" type="xs:anyURI"/>
  <xs:element name="dialogId" type="dialogIdType"/>
</xs:schema>
